Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
for_each_n.hpp File Reference

## Functions
template<typename I , typename F , typename P = identity>
I | ranges::for_each_n (I first, iter_difference_t< I > n, F fun, P proj=P{})
| function template `for_each_n` More...
template<typename Rng , typename F , typename P = identity>
borrowed_iterator_t< Rng > | ranges::for_each_n (Rng &&rng, range_difference_t< Rng > n, F fun, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...